Bug 611014

Summary: perl-Data-Alias fails to build
Product: [Fedora] Fedora Reporter: Ralf Corsepius <rc040203>
Component: perl-Data-AliasAssignee: Chris Weyl <cweyl>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 14CC: cweyl, iarnell, mmaslano, perl-devel, ppisar
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-08-25 06:10:08 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 614980    
Bug Blocks: 538278    

Description Ralf Corsepius 2010-07-03 01:43:15 EDT
Description of problem:
perl-Data-Alias fails to build on rawhide.

Version-Release number of selected component (if applicable):
perl-Data-Alias-1.07-7.fc14

How reproducible:
Always

Steps to Reproduce:
1. rebuild the package in rawhide
  
Actual results:
Build failure.

Expected results:
Success.

Additional info:
* Apparently this package is incompatible to perl-5.12 and can't be built against it.
* Its upstream appears dead.

This package needs to be made working or it will have to be removed from 
Fedora >= 14. AFAICT, this package is not used by Fedora itself, so it's probably safe to remove it.
Comment 1 Bug Zapper 2010-07-30 08:25:08 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Iain Arnell 2010-08-06 11:13:32 EDT
According to rgs on perl5-porters list[1], upstream will not be updating Data::Alias for perl 5.12. And despite Niko's efforts at debian[2], it doesn't look like a comprehensive patch will be coming from them either.

Fortunately, though, we're in the same position as debian - the only direct reverse dependency was perl-Data-Visitor, and that was a soft dep that's already been removed.

I've gone ahead and tried to have it blocked for F14 and rawhide[3]. If that works, I'll retire it in git and pkgdb.


[1] http://article.gmane.org/gmane.comp.lang.perl.perl5.porters/84416
[2] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=578547
[3] https://fedorahosted.org/rel-eng/ticket/3940
Comment 3 Iain Arnell 2010-08-25 06:10:08 EDT
perl-Data-Alias is retired now in F14 and rawhide.